<template>
  <footer class="text-center mt-4">
    <b-container fluid >
      <b-row class="justify-content-center mb-4">
        <b-col lg="1" md="2" cols="3">
          <img class="timeline img-fluid" src="../assets/timeline.png" alt="logoFooter" />
        </b-col>
      </b-row>
      <b-row class="justify-content-center mb-4">
        <b-col cols="12">
          <div class="footer-social-icon">
              <b-button href="#" variant="primary" size="sm" class="social-icon">
              <i class="fa fa-facebook" aria-hidden="true"></i>
              </b-button>   
              <b-button href="#" variant="primary" size="sm" class="social-icon">
              <i class="fa fa-twitter" aria-hidden="true"></i>
              </b-button> 
              <b-button href="#" variant="primary" size="sm" class="social-icon">
              <i class="fa fa-instagram" aria-hidden="true"></i>
              </b-button>
          </div>
        </b-col>
      </b-row>
      <b-row>
        <b-col cols="12">
          <nav class="footer-menu">
            <ul>
              <li>
                <a href="#">Sobre mi</a>
              </li>
              <li>
                <a href="#">Términos &amp; condiciones</a>
              </li>
              <li>
                <a href="#">Política de privacidad</a>
              </li>
              <li>
                <a href="#">Contacto</a>
              </li>
            </ul>
        </nav>
        </b-col>
      </b-row>
      <b-row>
        <b-col cols="12">
          <div class="copyright-text">
            <p>Copyright ©2020 TimeLine. Inspired by <a href="https://colorlib.com" target="_blank">Colorlib</a></p>
          </div>
        </b-col>
      </b-row>
    </b-container>
  </footer>
</template>

<script>

export default {
  name: "Footer"
};
</script>

<style lang="scss">

@import '@/assets/custom-vars.scss';

.timeline{
  width: 4.75rem;
}

.footer-social-icon > .social-icon {
  margin-right: 1rem;
  width: 2.5rem;
  height: 2.5rem;
  padding: 0.5rem 0.5rem;
  font-size: 1rem;
  font-weight: 500;
}

.footer-menu ul li {
    display: inline-block;
}
.footer-menu ul li a {
    border-right: 0.1rem solid #726a84;
    display: block;
    padding: 0 0.5rem;
    color: $body-color;
}
.footer-menu ul li:last-child a {
    border-right: none;
}
</style>